/*
 * XMLFileWriterConfigTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess.xml;

import jp.co.cybec.cb3.accessor.fileaccess.xml.XMLFileWriterConfig;
import junit.framework.Assert;

import org.junit.Test;

/**
 * {@link XMLFileWriterConfig} のテストケース。
 * @author Daisuke Suga
 */
public class XMLFileWriterConfigTest {

	XMLFileWriterConfig target = null;

	/**
	 * {@link XMLFileWriterConfig#getFilepath()} のためのテスト・メソッド。<br>
	 * 正しい値が取得できることを確認する。
	 */
	@Test
	public void testGetFilepath() {
		String expected = "test1";
		target = new XMLFileWriterConfig();
		target.setFilepath(expected);
		Assert.assertEquals(expected, target.getFilepath());
	}

	/**
	 * {@link XMLFileWriterConfig#setFilepath(String)} のためのテスト・メソッド。<br>
	 * 例外が発生しないことを確認する。
	 */
	@Test
	public void testSetFilepath() {
		target = new XMLFileWriterConfig();
		target.setFilepath("test1");
	}

	/**
	 * {@link XMLFileWriterConfig#getEncode()} のためのテスト・メソッド。<br>
	 * 正しい値が取得できることを確認する。
	 */
	@Test
	public void testGetEncode() {
		String expected = "test1";
		target = new XMLFileWriterConfig();
		target.setEncode(expected);
		Assert.assertEquals(expected, target.getEncode());
	}

	/**
	 * {@link XMLFileWriterConfig#setEncode(String)} のためのテスト・メソッド。<br>
	 * 例外が発生しないことを確認する。
	 */
	@Test
	public void testSetEncode() {
		target = new XMLFileWriterConfig();
		target.setEncode("test1");
	}

	/**
	 * {@link XMLFileWriterConfig#getLineSeparator()} のためのテスト・メソッド。<br>
	 * 正しい値が取得できることを確認する。
	 */
	@Test
	public void testGetLineSeparator() {
		String expected = "test1";
		target = new XMLFileWriterConfig();
		target.setLineSeparator(expected);
		Assert.assertEquals(expected, target.getLineSeparator());
	}

	/**
	 * {@link XMLFileWriterConfig#setLineSeparator(String)} のためのテスト・メソッド。<br>
	 * 例外が発生しないことを確認する。
	 */
	@Test
	public void testSetLineSeparator() {
		target = new XMLFileWriterConfig();
		target.setLineSeparator("test1");
	}

	/**
	 * {@link XMLFileWriterConfig#getIndentSpace()} のためのテスト・メソッド。<br>
	 * 正しい値が取得できることを確認する。
	 */
	@Test
	public void testGetIndentSpace() {
		String expected = "test1";
		target = new XMLFileWriterConfig();
		target.setIndentSpace(expected);
		Assert.assertEquals(expected, target.getIndentSpace());
	}

	/**
	 * {@link XMLFileWriterConfig#setIndentSpace(String)} のためのテスト・メソッド。<br>
	 * 例外が発生しないことを確認する。
	 */
	@Test
	public void testSetIndentSpace() {
		target = new XMLFileWriterConfig();
		target.setIndentSpace("test1");
	}

}
